### Signal

# Gtk Statusbar::text-popped

deprecated: 4.10

#### Declaration

    void
    text_popped (
      GtkStatusbar* self,
      guint context_id,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a new message is popped off a statusbar’s stack.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 4.10
This widget will be removed in GTK 5

#### Parameters

`context_id`

  Type: `guint`

  The context id of the relevant message/statusbar.

`text`

  Type: `gchar*`

  The message that was just popped.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.